Skip to main content
GET
/
v1
/
posts
/
feed
Get feed posts with pagination
import { ParagraphAPI } from "@paragraph-com/sdk"

const api = new ParagraphAPI()
const { items, pagination } = await api.feed.get({ limit: 20 })
{
  "items": [
    {
      "post": {
        "id": "<string>",
        "title": "<string>",
        "slug": "<string>",
        "imageUrl": "<string>",
        "publishedAt": "<string>",
        "updatedAt": "<string>",
        "subtitle": "<string>",
        "staticHtml": "<string>",
        "json": "<string>",
        "markdown": "<string>",
        "coinId": "<string>",
        "categories": [
          "<string>"
        ],
        "authors": [
          {
            "id": "<string>",
            "publicationId": "<string>",
            "walletAddress": "<string>",
            "avatarUrl": "<string>",
            "name": "<string>",
            "bio": "<string>",
            "farcaster": {
              "username": "<string>",
              "displayName": "<string>",
              "fid": 123
            }
          }
        ],
        "authorIds": [
          "<string>"
        ],
        "views": 123,
        "status": "published"
      },
      "publication": {
        "id": "<string>",
        "name": "<string>",
        "ownerUserId": "<string>",
        "slug": "<string>",
        "customDomain": "<string>",
        "summary": "<string>",
        "logoUrl": "<string>",
        "postListType": "feed",
        "themeColor": "default",
        "headerFont": "default",
        "bodyFont": "default",
        "showMostPopular": true,
        "hideStats": true,
        "featuredPost": "<string>",
        "disableComments": true,
        "disableHighlights": true,
        "enableTableOfContents": true,
        "enableSubscribePopup": true,
        "enableSubscribeScroll": true,
        "pinnedPostIds": [
          "<string>"
        ],
        "emailNotifications": {
          "newComment": true,
          "newSubscriber": true,
          "newPaidSubscriber": true,
          "newContentCollected": true
        }
      },
      "user": {
        "id": "<string>",
        "publicationId": "<string>",
        "walletAddress": "<string>",
        "avatarUrl": "<string>",
        "name": "<string>",
        "bio": "<string>",
        "farcaster": {
          "username": "<string>",
          "displayName": "<string>",
          "fid": 123
        }
      }
    }
  ],
  "pagination": {
    "hasMore": true,
    "cursor": "<string>",
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://paragraph.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:20

Maximum number of items to return (1-60, default: 20)

Required range: 1 <= x <= 60
includeContent

Include full content fields (json, staticHtml, markdown) in the post. Default: false

Response

Feed items retrieved successfully

items
object[]
required

Array of items in this page

pagination
object
required